Skip to content
payrocdevelopers

List dispute statuses

Browse API reference

GET/disputes/{disputeId}/statusesgetdisputesStatuses

Use this method to return the status history of a dispute.

To view the status history of a dispute, you need its disputeId. If you don't have the disputeId, use our List Disputes method to search for the dispute.

Our gateway returns a list that contains each status change, the date it was changed, and its updated status.

Parameters

NameInTypeDescription
disputeIdRequiredpathinteger

Unique identifier of the dispute.

Responses

Successful request. Returns the status history for a specific dispute.

200 OK · application/json
[
  {
    "disputeStatusId": 123,
    "status": "new",
    "statusDate": "2024-07-02"
  },
  {
    "disputeStatusId": 124,
    "status": "representmentInProgress",
    "statusDate": "2024-07-05"
  },
  {
    "disputeStatusId": 125,
    "status": "representmentPaid",
    "statusDate": "2024-07-12"
  }
]
Response schema · 3 fields
  • disputeStatusIdinteger
    Unique identifier that we assigned to the status of the dispute.
  • statusstring
    Status of the dispute. Note: If you want to view the status history of the dispute, use our List Dispute Statuses method.prearbitrationInProcessprearbitrationAcceptedprearbitrationDeclinedarbitrationFiledWithCardBandarbitrationFundsToBeReturnedarbitrationLostarbitrationSettledPartialAmountprecomplianceInProcess+14 more
  • statusDatestringdate
    Date that the status of the dispute was last changed. The format of this value is YYYY-MM-DD.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer